--- !ruby/object:Gem::Specification
name: sourcify
version: !ruby/object:Gem::Version
  version: 0.5.0
  prerelease: 
platform: ruby
authors:
- NgTzeYang
autorequire: 
bindir: bin
cert_chain: []
date: 2011-05-02 00:00:00.000000000 +08:00
default_executable: 
dependencies:
- !ruby/object:Gem::Dependency
  name: ruby2ruby
  requirement: &19360780 !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 1.2.5
  type: :runtime
  prerelease: false
  version_requirements: *19360780
- !ruby/object:Gem::Dependency
  name: sexp_processor
  requirement: &19360280 !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 3.0.5
  type: :runtime
  prerelease: false
  version_requirements: *19360280
- !ruby/object:Gem::Dependency
  name: ruby_parser
  requirement: &19359820 !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.0.5
  type: :runtime
  prerelease: false
  version_requirements: *19359820
- !ruby/object:Gem::Dependency
  name: file-tail
  requirement: &19359360 !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 1.0.5
  type: :runtime
  prerelease: false
  version_requirements: *19359360
- !ruby/object:Gem::Dependency
  name: bacon
  requirement: &19358980 !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: *19358980
description: ''
email:
- ngty77@gmail.com
executables: []
extensions: []
extra_rdoc_files:
- README.rdoc
files:
- .document
- .gitignore
- .rvmrc
- Gemfile
- HISTORY.txt
- LICENSE
- README.rdoc
- Rakefile
- VERSION
- lib/sourcify.rb
- lib/sourcify/facets.rb
- lib/sourcify/proc.rb
- lib/sourcify/proc/methods.rb
- lib/sourcify/proc/methods/source_location.rb
- lib/sourcify/proc/methods/to_raw_source.rb
- lib/sourcify/proc/methods/to_sexp.rb
- lib/sourcify/proc/methods/to_source.rb
- lib/sourcify/proc/parser.rb
- lib/sourcify/proc/parser/code_scanner.rb
- lib/sourcify/proc/parser/converter.rb
- lib/sourcify/proc/parser/normalizer.rb
- lib/sourcify/proc/parser/source_code.rb
- lib/sourcify/proc/scanner.rb
- lib/sourcify/proc/scanner.rl
- lib/sourcify/proc/scanner/comment.rb
- lib/sourcify/proc/scanner/counter.rb
- lib/sourcify/proc/scanner/dstring.rb
- lib/sourcify/proc/scanner/extensions.rb
- lib/sourcify/proc/scanner/heredoc.rb
- lib/sourcify/version.rb
- sourcify.gemspec
- spec/dump_object_space_procs.rb
- spec/proc/19x_extras.rb
- spec/proc/created_on_the_fly_proc_spec.rb
- spec/proc/others_spec.rb
- spec/proc/readme
- spec/proc/spec_helper.rb
- spec/proc/to_raw_source_spec.rb
- spec/proc/to_raw_source_w_specified_strip_enclosure_spec.rb
- spec/proc/to_sexp_from_multi_blocks_w_specified_attached_to_spec.rb
- spec/proc/to_sexp_variables_spec.rb
- spec/proc/to_sexp_w_specified_strip_enclosure_spec.rb
- spec/proc/to_sexp_within_irb_spec.rb
- spec/proc/to_source_from_braced_block_w_nested_braced_block_spec.rb
- spec/proc/to_source_from_braced_block_w_nested_hash_spec.rb
- spec/proc/to_source_from_braced_block_wo_nesting_complication_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_begin_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_case_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_class_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_do_end_block_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_for_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_if_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_literal_keyword_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_method_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_module_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_unless_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_until_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_while_spec.rb
- spec/proc/to_source_from_do_end_block_wo_nesting_complication_spec.rb
- spec/proc/to_source_from_multi_blocks_w_many_matches_spec.rb
- spec/proc/to_source_from_multi_blocks_w_single_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_and_many_matches_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_and_no_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_and_single_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_body_matcher_and_many_matches_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_body_matcher_and_no_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_body_matcher_and_single_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_ignore_nested_spec.rb
- spec/proc/to_source_from_multi_do_end_blocks_w_single_match_spec.rb
- spec/proc/to_source_magic_file_var_spec.rb
- spec/proc/to_source_magic_line_var_spec.rb
- spec/proc/to_source_variables_spec.rb
- spec/proc/to_source_w_specified_strip_enclosure_spec.rb
- spec/proc/to_source_within_irb_spec.rb
- spec/proc_scanner/block_comment_spec.rb
- spec/proc_scanner/double_colons_spec.rb
- spec/proc_scanner/double_quote_str_w_interpolation_spec.rb
- spec/proc_scanner/double_quote_str_wo_interpolation_spec.rb
- spec/proc_scanner/heredoc_spec.rb
- spec/proc_scanner/kw_do_alias1_spec.rb
- spec/proc_scanner/kw_do_alias2_spec.rb
- spec/proc_scanner/per_line_comment_spec.rb
- spec/proc_scanner/single_quote_str_spec.rb
- spec/proc_scanner/slash_operator_spec.rb
- spec/proc_scanner/spec_helper.rb
- spec/run_spec.sh
- spec/spec_helper.rb
has_rdoc: true
homepage: http://github.com/ngty/sourcify
licenses: []
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 1.6.1
signing_key: 
specification_version: 3
summary: Workarounds before ruby-core officially supports Proc#to_source (& friends)
test_files:
- spec/dump_object_space_procs.rb
- spec/proc/19x_extras.rb
- spec/proc/created_on_the_fly_proc_spec.rb
- spec/proc/others_spec.rb
- spec/proc/readme
- spec/proc/spec_helper.rb
- spec/proc/to_raw_source_spec.rb
- spec/proc/to_raw_source_w_specified_strip_enclosure_spec.rb
- spec/proc/to_sexp_from_multi_blocks_w_specified_attached_to_spec.rb
- spec/proc/to_sexp_variables_spec.rb
- spec/proc/to_sexp_w_specified_strip_enclosure_spec.rb
- spec/proc/to_sexp_within_irb_spec.rb
- spec/proc/to_source_from_braced_block_w_nested_braced_block_spec.rb
- spec/proc/to_source_from_braced_block_w_nested_hash_spec.rb
- spec/proc/to_source_from_braced_block_wo_nesting_complication_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_begin_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_case_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_class_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_do_end_block_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_for_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_if_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_literal_keyword_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_method_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_module_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_unless_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_until_spec.rb
- spec/proc/to_source_from_do_end_block_w_nested_while_spec.rb
- spec/proc/to_source_from_do_end_block_wo_nesting_complication_spec.rb
- spec/proc/to_source_from_multi_blocks_w_many_matches_spec.rb
- spec/proc/to_source_from_multi_blocks_w_single_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_and_many_matches_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_and_no_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_and_single_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_attached_to_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_body_matcher_and_many_matches_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_body_matcher_and_no_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_body_matcher_and_single_match_spec.rb
- spec/proc/to_source_from_multi_blocks_w_specified_ignore_nested_spec.rb
- spec/proc/to_source_from_multi_do_end_blocks_w_single_match_spec.rb
- spec/proc/to_source_magic_file_var_spec.rb
- spec/proc/to_source_magic_line_var_spec.rb
- spec/proc/to_source_variables_spec.rb
- spec/proc/to_source_w_specified_strip_enclosure_spec.rb
- spec/proc/to_source_within_irb_spec.rb
- spec/proc_scanner/block_comment_spec.rb
- spec/proc_scanner/double_colons_spec.rb
- spec/proc_scanner/double_quote_str_w_interpolation_spec.rb
- spec/proc_scanner/double_quote_str_wo_interpolation_spec.rb
- spec/proc_scanner/heredoc_spec.rb
- spec/proc_scanner/kw_do_alias1_spec.rb
- spec/proc_scanner/kw_do_alias2_spec.rb
- spec/proc_scanner/per_line_comment_spec.rb
- spec/proc_scanner/single_quote_str_spec.rb
- spec/proc_scanner/slash_operator_spec.rb
- spec/proc_scanner/spec_helper.rb
- spec/run_spec.sh
- spec/spec_helper.rb
